Anchor (install4j API)
Date: 2010-09-29

Overview | Package | Class | Tree | Deprecated | Index | Help
| install4j API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.install4j.api.beans
Class Anchor

    java.lang.Object
      com.install4j.api.beans.Anchor

All Implemented Interfaces:
  java.io.Serializable

    public class Anchor

extends java.lang.Object
implements java.io.Serializable

Property type for an anchor.

Author:
  ej-technologies GmbH
See Also:
  Serialized Form

Field Summary
`static Anchor` | `CENTER`
`static Anchor` | `EAST`
`static Anchor` | `NORTH`
`static Anchor` | `NORTHEAST`
`static Anchor` | `NORTHWEST`
`static Anchor` | `SOUTH`
`static Anchor` | `SOUTHEAST`
`static Anchor` | `SOUTHWEST`
`static Anchor` | `WEST`

Method Summary
`static Anchor` | `getByValue(int value)` Get the anchor constant that corresponds to the specified value
`int` | `getValue()` The value of the anchor which can be used by `java.awt.GridBagLayout`.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NORTHWEST

    public static final Anchor NORTHWEST

### NORTH

    public static final Anchor NORTH

### NORTHEAST

    public static final Anchor NORTHEAST

### WEST

    public static final Anchor WEST

### CENTER

    public static final Anchor CENTER

### EAST

    public static final Anchor EAST

### SOUTHWEST

    public static final Anchor SOUTHWEST

### SOUTH

    public static final Anchor SOUTH

### SOUTHEAST

    public static final Anchor SOUTHEAST

Method Detail

### getByValue

    public static Anchor getByValue(int value)

  Get the anchor constant that corresponds to the specified value

  Parameters:
    `value` - the value, as returned by `getValue()`
  Returns:
    the anchor or `null` if the value cannot be found
  See Also:
    `getValue()`

### getValue

    public int getValue()

  The value of the anchor which can be used by `java.awt.GridBagLayout`.

  Returns:
    the value, one of the anchor constants in `java.awt.GridBagConstraints`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| install4j API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD